/**
 * ZapWork - OpenAPI 3.0
 * Send messages with ZapWork
 *
 * The version of the OpenAPI document: 1.0.11
 * Contact: suporte@multiplica.me
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from './ApiClient';
import Error from './model/Error';
import Message from './model/Message';
import SendMessage200Response from './model/SendMessage200Response';
import SuccessMessage from './model/SuccessMessage';
import NotificationsApi from './api/NotificationsApi';


/**
* Send_messages_with_ZapWork.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var ZapWorkOpenApi30 = require('index'); // See note below*.
* var xxxSvc = new ZapWorkOpenApi30.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new ZapWorkOpenApi30.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new ZapWorkOpenApi30.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new ZapWorkOpenApi30.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version 1.0.11
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The Error model constructor.
     * @property {module:model/Error}
     */
    Error,

    /**
     * The Message model constructor.
     * @property {module:model/Message}
     */
    Message,

    /**
     * The SendMessage200Response model constructor.
     * @property {module:model/SendMessage200Response}
     */
    SendMessage200Response,

    /**
     * The SuccessMessage model constructor.
     * @property {module:model/SuccessMessage}
     */
    SuccessMessage,

    /**
    * The NotificationsApi service constructor.
    * @property {module:api/NotificationsApi}
    */
    NotificationsApi
};
